/*
 * bmpfile.h
 *
 *  Created on: 2013/04/29
 *  Copyright(C) 2013 Ryoichi Yokomizu
 *  All rights reserved
 */

#ifndef BMPFILE_H_
#define BMPFILE_H_

/* #pragma pack(push, 1) */

typedef struct tagBITMAPFILEHEADER {
	unsigned short	bfType __attribute__ ((packed));
	unsigned long	bfSize __attribute__ ((packed));
	unsigned short	bfReserved1 __attribute__ ((packed));
	unsigned short	bfReserved2 __attribute__ ((packed));
	unsigned long	bfOffBits __attribute__ ((packed));
} __attribute__ ((packed)) BITMAPFILEHEADER, *PBITMAPFILEHEADER;

typedef struct tagBITMAPINFOHEADER {
	unsigned long	biSize __attribute__ ((packed));
	signed long		biWidth __attribute__ ((packed));
	signed long		biHeight __attribute__ ((packed));
	unsigned short	biPlanes __attribute__ ((packed));
	unsigned short	biBitCount __attribute__ ((packed));
	unsigned long	biCompression __attribute__ ((packed));
	unsigned long	biSizeImage __attribute__ ((packed));
	signed long		biXPelsPerMeter __attribute__ ((packed));
	signed long		biYPelsPerMeter __attribute__ ((packed));
	unsigned long	biClrUsed __attribute__ ((packed));
	unsigned long	biClrImportant __attribute__ ((packed));
} __attribute__ ((packed)) BITMAPINFOHEADER, *PBITMAPINFOHEADER;

/* #pragma pack(pop) */

#endif /* BMPFILE_H_ */
